path: /build/build/mjpegtools-media-video-1-2.2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-sdlgfx cpu_flags_x86_mmx dv gtk png quicktime sdl" emerge media-video/mjpegtools:1 -pv -t && \
    USE="-sdlgfx cpu_flags_x86_mmx dv gtk png quicktime sdl" emerge -j ${JOBS} --nodeps media-video/mjpegtools:1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mjpegtools && luet-portage --dir /pkgdir/mjpegtools
    media-video/mjpegtools:1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:44820b89afc54467129ef00ce69f468c4e0da34363c760ed9ab45536da47f081
  package:
    name: mjpegtools
    version: 2.2.1
    category: media-video-1
    use_flags:
    - -sdlgfx
    - cpu_flags_x86_mmx
    - dv
    - gtk
    - png
    - quicktime
    - sdl
    requires:
    - name: libquicktime
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tools for MJPEG video
    uri:
    - http://mjpeg.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2023-09-10 22:54:50.677989955 +0000 UTC m=+91.351637246
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: virtual/jpeg:0=[-mgorny(-)] dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)]
        ) gtk? ( x11-libs/gtk+:2 ) png? ( media-libs/libpng:0= ) quicktime? ( >=media-libs/libquicktime-1.2.4-r1[-mgorny(-)]
        ) sdl? ( >=media-libs/libsdl-1.2.15-r4[-mgorny(-)] >=x11-libs/libX11-1.6.2[-mgorny(-)]
        sdlgfx? ( media-libs/sdl-gfx ) ) >=sys-apps/sed-4 virtual/awk cpu_flags_x86_mmx?
        ( dev-lang/nasm )
      IUSE: cpu_flags_x86_mmx dv gtk png quicktime sdl sdlgfx static-libs abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: virtual/jpeg:0=[-mgorny(-)] dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)]
        ) gtk? ( x11-libs/gtk+:2 ) png? ( media-libs/libpng:0= ) quicktime? ( >=media-libs/libquicktime-1.2.4-r1[-mgorny(-)]
        ) sdl? ( >=media-libs/libsdl-1.2.15-r4[-mgorny(-)] >=x11-libs/libX11-1.6.2[-mgorny(-)]
        sdlgfx? ( media-libs/sdl-gfx ) )
      emerge.packages: media-video/mjpegtools:1
      kit: media-kit
      original.package.name: media-video/mjpegtools
      original.package.slot: "1"
      original.package.version: 2.2.1
    treedir: /build/packages
  package_dir: /pkgdir/mjpegtools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7e549e27da4bb2166d147a803a532bfe01b23cf43c19cdc7fcb012badf16fcda
compressiontype: zstd
files:
- usr/bin/anytovcd.sh
- usr/bin/glav
- usr/bin/jpeg2yuv
- usr/bin/lav2avi.sh
- usr/bin/lav2mpeg
- usr/bin/lav2wav
- usr/bin/lav2yuv
- usr/bin/lavaddwav
- usr/bin/lavinfo
- usr/bin/lavpipe
- usr/bin/lavplay
- usr/bin/lavtc.sh
- usr/bin/lavtrans
- usr/bin/matteblend.flt
- usr/bin/mjpeg_simd_helper
- usr/bin/mp2enc
- usr/bin/mpeg2enc
- usr/bin/mpegtranscode
- usr/bin/mplex
- usr/bin/multiblend.flt
- usr/bin/pgmtoy4m
- usr/bin/png2yuv
- usr/bin/pnmtoy4m
- usr/bin/ppmtoy4m
- usr/bin/qttoy4m
- usr/bin/transist.flt
- usr/bin/y4mblack
- usr/bin/y4mcolorbars
- usr/bin/y4mdenoise
- usr/bin/y4mhist
- usr/bin/y4minterlace
- usr/bin/y4mivtc
- usr/bin/y4mscaler
- usr/bin/y4mshift
- usr/bin/y4mspatialfilter
- usr/bin/y4mstabilizer
- usr/bin/y4mtopnm
- usr/bin/y4mtoppm
- usr/bin/y4mtoqt
- usr/bin/y4mtoyuv
- usr/bin/y4munsharp
- usr/bin/ypipe
- usr/bin/yuv2lav
- usr/bin/yuv4mpeg
- usr/bin/yuvcorrect
- usr/bin/yuvcorrect_tune
- usr/bin/yuvdeinterlace
- usr/bin/yuvdenoise
- usr/bin/yuvfps
- usr/bin/yuvinactive
- usr/bin/yuvkineco
- usr/bin/yuvmedianfilter
- usr/bin/yuvplay
- usr/bin/yuvscaler
- usr/bin/yuvycsnoise
- usr/bin/yuyvtoy4m
- usr/include/mjpegtools/audiolib.h
- usr/include/mjpegtools/avilib.h
- usr/include/mjpegtools/editlist.h
- usr/include/mjpegtools/format_codes.h
- usr/include/mjpegtools/frequencies.h
- usr/include/mjpegtools/jpegutils.h
- usr/include/mjpegtools/lav_io.h
- usr/include/mjpegtools/liblavplay.h
- usr/include/mjpegtools/liblavrec.h
- usr/include/mjpegtools/mjpeg_logging.h
- usr/include/mjpegtools/mjpeg_types.h
- usr/include/mjpegtools/motionsearch.h
- usr/include/mjpegtools/mpeg2enc/elemstrmwriter.hh
- usr/include/mjpegtools/mpeg2enc/encoderparams.hh
- usr/include/mjpegtools/mpeg2enc/encodertypes.h
- usr/include/mjpegtools/mpeg2enc/imageplanes.hh
- usr/include/mjpegtools/mpeg2enc/macroblock.hh
- usr/include/mjpegtools/mpeg2enc/mpeg2coder.hh
- usr/include/mjpegtools/mpeg2enc/mpeg2encoder.hh
- usr/include/mjpegtools/mpeg2enc/mpeg2encoptions.hh
- usr/include/mjpegtools/mpeg2enc/mpeg2encparams.h
- usr/include/mjpegtools/mpeg2enc/mpeg2syntaxcodes.h
- usr/include/mjpegtools/mpeg2enc/ontheflyratectlpass1.hh
- usr/include/mjpegtools/mpeg2enc/ontheflyratectlpass2.hh
- usr/include/mjpegtools/mpeg2enc/picture.hh
- usr/include/mjpegtools/mpeg2enc/picturereader.hh
- usr/include/mjpegtools/mpeg2enc/predict_ref.h
- usr/include/mjpegtools/mpeg2enc/quantize.hh
- usr/include/mjpegtools/mpeg2enc/quantize_ref.h
- usr/include/mjpegtools/mpeg2enc/ratectl.hh
- usr/include/mjpegtools/mpeg2enc/seqencoder.hh
- usr/include/mjpegtools/mpeg2enc/streamstate.h
- usr/include/mjpegtools/mpeg2enc/syntaxconsts.h
- usr/include/mjpegtools/mpegconsts.h
- usr/include/mjpegtools/mpegtimecode.h
- usr/include/mjpegtools/mplex/audiostrm.hpp
- usr/include/mjpegtools/mplex/aunit.hpp
- usr/include/mjpegtools/mplex/aunitbuffer.hpp
- usr/include/mjpegtools/mplex/bits.hpp
- usr/include/mjpegtools/mplex/decodebufmodel.hpp
- usr/include/mjpegtools/mplex/inputstrm.hpp
- usr/include/mjpegtools/mplex/interact.hpp
- usr/include/mjpegtools/mplex/mplexconsts.hpp
- usr/include/mjpegtools/mplex/multiplexor.hpp
- usr/include/mjpegtools/mplex/outputstrm.hpp
- usr/include/mjpegtools/mplex/padstrm.hpp
- usr/include/mjpegtools/mplex/stillsstream.hpp
- usr/include/mjpegtools/mplex/stream_params.hpp
- usr/include/mjpegtools/mplex/systems.hpp
- usr/include/mjpegtools/mplex/videostrm.hpp
- usr/include/mjpegtools/yuv4mpeg.h
- usr/lib64/liblavfile-2.2.so.0
- usr/lib64/liblavfile-2.2.so.0.0.0
- usr/lib64/liblavfile.so
- usr/lib64/liblavjpeg-2.2.so.0
- usr/lib64/liblavjpeg-2.2.so.0.0.0
- usr/lib64/liblavjpeg.so
- usr/lib64/liblavplay-2.2.so.0
- usr/lib64/liblavplay-2.2.so.0.0.0
- usr/lib64/liblavplay.so
- usr/lib64/libmjpegutils-2.2.so.0
- usr/lib64/libmjpegutils-2.2.so.0.0.0
- usr/lib64/libmjpegutils.so
- usr/lib64/libmpeg2encpp-2.2.so.0
- usr/lib64/libmpeg2encpp-2.2.so.0.0.0
- usr/lib64/libmpeg2encpp.so
- usr/lib64/libmplex2-2.2.so.0
- usr/lib64/libmplex2-2.2.so.0.0.0
- usr/lib64/libmplex2.so
- usr/lib64/pkgconfig/mjpegtools.pc
- usr/share/doc/mjpegtools-2.2.1/AUTHORS.bz2
- usr/share/doc/mjpegtools-2.2.1/BUGS.bz2
- usr/share/doc/mjpegtools-2.2.1/CHANGES.bz2
- usr/share/doc/mjpegtools-2.2.1/ChangeLog.bz2
- usr/share/doc/mjpegtools-2.2.1/FAQ.txt.bz2
- usr/share/doc/mjpegtools-2.2.1/HINTS.bz2
- usr/share/doc/mjpegtools-2.2.1/NEWS.bz2
- usr/share/doc/mjpegtools-2.2.1/PLANS.bz2
- usr/share/doc/mjpegtools-2.2.1/README.AltiVec.bz2
- usr/share/doc/mjpegtools-2.2.1/README.DV.bz2
- usr/share/doc/mjpegtools-2.2.1/README.avilib.bz2
- usr/share/doc/mjpegtools-2.2.1/README.bz2
- usr/share/doc/mjpegtools-2.2.1/README.lavpipe.bz2
- usr/share/doc/mjpegtools-2.2.1/README.transist.bz2
- usr/share/doc/mjpegtools-2.2.1/TODO.bz2
- usr/share/doc/mjpegtools-2.2.1/mjpeg_howto.txt.bz2
- usr/share/info/mjpeg-howto.info.bz2
- usr/share/man/man1/jpeg2yuv.1.bz2
- usr/share/man/man1/lav2mpeg.1.bz2
- usr/share/man/man1/lav2wav.1.bz2
- usr/share/man/man1/lav2yuv.1.bz2
- usr/share/man/man1/lavpipe.1.bz2
- usr/share/man/man1/lavplay.1.bz2
- usr/share/man/man1/lavrec.1.bz2
- usr/share/man/man1/lavtrans.1.bz2
- usr/share/man/man1/mjpegtools.1.bz2
- usr/share/man/man1/mp2enc.1.bz2
- usr/share/man/man1/mpeg2enc.1.bz2
- usr/share/man/man1/mplex.1.bz2
- usr/share/man/man1/pgmtoy4m.1.bz2
- usr/share/man/man1/png2yuv.1.bz2
- usr/share/man/man1/pnmtoy4m.1.bz2
- usr/share/man/man1/ppmtoy4m.1.bz2
- usr/share/man/man1/y4mcolorbars.1.bz2
- usr/share/man/man1/y4mdenoise.1.bz2
- usr/share/man/man1/y4mscaler.1.bz2
- usr/share/man/man1/y4mtopnm.1.bz2
- usr/share/man/man1/y4mtoppm.1.bz2
- usr/share/man/man1/y4munsharp.1.bz2
- usr/share/man/man1/yuv2lav.1.bz2
- usr/share/man/man1/yuvdenoise.1.bz2
- usr/share/man/man1/yuvfps.1.bz2
- usr/share/man/man1/yuvinactive.1.bz2
- usr/share/man/man1/yuvkineco.1.bz2
- usr/share/man/man1/yuvmedianfilter.1.bz2
- usr/share/man/man1/yuvplay.1.bz2
- usr/share/man/man1/yuvscaler.1.bz2
- usr/share/man/man1/yuvycsnoise.1.bz2
- usr/share/man/man5/yuv4mpeg.5.bz2
- var/db/pkg/media-video/mjpegtools-2.2.1/BDEPEND
- var/db/pkg/media-video/mjpegtools-2.2.1/BUILD_TIME
- var/db/pkg/media-video/mjpegtools-2.2.1/CATEGORY
- var/db/pkg/media-video/mjpegtools-2.2.1/CBUILD
- var/db/pkg/media-video/mjpegtools-2.2.1/CFLAGS
- var/db/pkg/media-video/mjpegtools-2.2.1/CHOST
- var/db/pkg/media-video/mjpegtools-2.2.1/CONTENTS
- var/db/pkg/media-video/mjpegtools-2.2.1/COUNTER
- var/db/pkg/media-video/mjpegtools-2.2.1/CXXFLAGS
- var/db/pkg/media-video/mjpegtools-2.2.1/DEFINED_PHASES
- var/db/pkg/media-video/mjpegtools-2.2.1/DEPEND
- var/db/pkg/media-video/mjpegtools-2.2.1/DESCRIPTION
- var/db/pkg/media-video/mjpegtools-2.2.1/EAPI
- var/db/pkg/media-video/mjpegtools-2.2.1/FEATURES
- var/db/pkg/media-video/mjpegtools-2.2.1/HOMEPAGE
- var/db/pkg/media-video/mjpegtools-2.2.1/INHERITED
- var/db/pkg/media-video/mjpegtools-2.2.1/IUSE
- var/db/pkg/media-video/mjpegtools-2.2.1/IUSE_EFFECTIVE
- var/db/pkg/media-video/mjpegtools-2.2.1/KEYWORDS
- var/db/pkg/media-video/mjpegtools-2.2.1/LDFLAGS
- var/db/pkg/media-video/mjpegtools-2.2.1/LICENSE
- var/db/pkg/media-video/mjpegtools-2.2.1/NEEDED
- var/db/pkg/media-video/mjpegtools-2.2.1/PF
- var/db/pkg/media-video/mjpegtools-2.2.1/PROVIDES
- var/db/pkg/media-video/mjpegtools-2.2.1/RDEPEND
- var/db/pkg/media-video/mjpegtools-2.2.1/REQUIRES
- var/db/pkg/media-video/mjpegtools-2.2.1/SIZE
- var/db/pkg/media-video/mjpegtools-2.2.1/SLOT
- var/db/pkg/media-video/mjpegtools-2.2.1/USE
- var/db/pkg/media-video/mjpegtools-2.2.1/environment.bz2
- var/db/pkg/media-video/mjpegtools-2.2.1/mjpegtools-2.2.1.ebuild
- var/db/pkg/media-video/mjpegtools-2.2.1/repository
package_cacheimage: ""
runtime:
  name: mjpegtools
  version: 2.2.1
  category: media-video-1
  use_flags:
  - -sdlgfx
  - cpu_flags_x86_mmx
  - dv
  - gtk
  - png
  - quicktime
  - sdl
  requires:
  - name: libquicktime
    version: '>=0'
    category: media-libs
  - name: libsdl
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tools for MJPEG video
  uri:
  - http://mjpeg.sourceforge.net/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: virtual/jpeg:0=[-mgorny(-)] dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)]
      ) gtk? ( x11-libs/gtk+:2 ) png? ( media-libs/libpng:0= ) quicktime? ( >=media-libs/libquicktime-1.2.4-r1[-mgorny(-)]
      ) sdl? ( >=media-libs/libsdl-1.2.15-r4[-mgorny(-)] >=x11-libs/libX11-1.6.2[-mgorny(-)]
      sdlgfx? ( media-libs/sdl-gfx ) ) >=sys-apps/sed-4 virtual/awk cpu_flags_x86_mmx?
      ( dev-lang/nasm )
    IUSE: cpu_flags_x86_mmx dv gtk png quicktime sdl sdlgfx static-libs abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: virtual/jpeg:0=[-mgorny(-)] dv? ( >=media-libs/libdv-1.0.0-r3[-mgorny(-)]
      ) gtk? ( x11-libs/gtk+:2 ) png? ( media-libs/libpng:0= ) quicktime? ( >=media-libs/libquicktime-1.2.4-r1[-mgorny(-)]
      ) sdl? ( >=media-libs/libsdl-1.2.15-r4[-mgorny(-)] >=x11-libs/libX11-1.6.2[-mgorny(-)]
      sdlgfx? ( media-libs/sdl-gfx ) )
    emerge.packages: media-video/mjpegtools:1
    kit: media-kit
    original.package.name: media-video/mjpegtools
    original.package.slot: "1"
    original.package.version: 2.2.1
